#ifndef _main_h_
#define _main_h_

#define CR  13
#define LF  10

#define RECV_NONE       0
#define RECV_G          1
#define RECV_E          2
#define RECV_T          3
#define RECV_GET_LINE   4
#define RECV_CR1        5
#define RECV_LF1        6
#define RECV_CR2        7
#define RECV_SPARE_ROW  8

#include <avr/io.h>
#include <avr/interrupt.h>
#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include <avr/pgmspace.h>

#include "uart.h"

#define XTAL		4194304L

#define BAUD		4800
#define bauddivider	(unsigned int)(1.0 * XTAL / BAUD / 16 - 0.5)

#endif

